> ## Name

> tex2DMSARRAYfetch - performs an unfiltered texture lookup in a given multisample texture sampler.

> ## Synopsis

>     float4 tex2DMSARRAYfetch(sampler2DMSARRAY samp, int3 s, int n)

>     int4 tex2DMSARRAYfetch(isampler2DMSARRAY samp, int3 s, int n)

>     unsigned int4 tex2DMSARRAYfetch(usampler2DMSARRAY samp, int3 s, int n)

> ## Parameters

> samp
>   Sampler to lookup.
> s.xy
>   2D coordinates to perform the lookup.
> s.z
>   The multisample array samping layer for lookup.
> num
>   Multisample sample number.

> ## Description

> Performs an unfiltered texture lookup of sample num of layer s.z of sampler samp using coordinates s.xy.

> ## Profile Support

> tex2DMSARRAYfetch is only supported in gp5 and newer profiles.

> glsl profile support requires ARB_texture_multisample extension or OpenGL 3.2

> ## See Also

>       http://www.opengl.org/registry/specs/ARB/texture_multisample.txt

> tex2Dfetch, tex2DARRAYfetch, tex2DMSARRAYsize